net.sf.jasperreports.components.headertoolbar.actions

## Class ConditionalFormattingCommand

- java.lang.Object
- - net.sf.jasperreports.components.headertoolbar.actions.ConditionalFormattingCommand

- All Implemented Interfaces:
    Command

      public class ConditionalFormattingCommand
      extends java.lang.Object
      implements Command

  Version:
    $Id: ConditionalFormattingCommand.java 6510 2013-09-13 12:12:34Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COLUMN_CONDITIONAL_FORMATTING_PROPERTY`
    `protected ConditionalFormattingData` | `conditionalFormattingData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConditionalFormattingCommand(JasperReportsContext jasperReportsContext, JRTextField textElement, ConditionalFormattingData conditionalFormattingData)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `void` | `redo()`
    `void` | `undo()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLUMN_CONDITIONAL_FORMATTING_PROPERTY

          public static final java.lang.String COLUMN_CONDITIONAL_FORMATTING_PROPERTY

      See Also:
        Constant Field Values

    - #### conditionalFormattingData

          protected ConditionalFormattingData conditionalFormattingData

  - ### Constructor Detail

    - #### ConditionalFormattingCommand

          public ConditionalFormattingCommand(JasperReportsContext jasperReportsContext,
                                      JRTextField textElement,
                                      ConditionalFormattingData conditionalFormattingData)

  - ### Method Detail

    - #### execute

          public void execute()

      Specified by:
        `execute` in interface `Command`

    - #### undo

          public void undo()

      Specified by:
        `undo` in interface `Command`

    - #### redo

          public void redo()

      Specified by:
        `redo` in interface `Command`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com